gi-cairo-1.0.30: Cairo bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Cairo.Structs.Context

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype Context = Context (ManagedPtr Context)

# Exported types

newtype Context Source #

Memory-managed wrapper type.

Constructors

Context (ManagedPtr Context) |

#### Instances

Instances details

Eq Context Source # |
Instance details Defined in GI.Cairo.Structs.Context Methods (==) :: Context -> Context -> Bool Source # (/=) :: Context -> Context -> Bool Source #
GBoxed Context Source # |
Instance details Defined in GI.Cairo.Structs.Context
ManagedPtrNewtype Context Source # |
Instance details Defined in GI.Cairo.Structs.Context Methods toManagedPtr :: Context -> ManagedPtr Context Source #
TypedObject Context Source # |
Instance details Defined in GI.Cairo.Structs.Context Methods glibType :: IO GType Source #
HasParentTypes Context Source # |
Instance details Defined in GI.Cairo.Structs.Context
IsGValue (Maybe Context) Source # | Convert `Context` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Cairo.Structs.Context Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe Context -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe Context) Source #
type ParentTypes Context Source # |
Instance details Defined in GI.Cairo.Structs.Context type ParentTypes Context = '[] :: [Type]

# Methods